/*!
Theme Name: Outlet Presentes Theme
Theme URI: https://github.com/elementor/hello-theme/
Description: Outlet Presentes Theme is a child theme of Hello Elementor,
created by Mobidick team
Author: Agência Mobidick
Author URI: https://agenciamobidick.com/
Template: hello-elementor
Version: 1.0.1
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

@import './assets/css/normalize.css';

* {
	text-rendering: geometricPrecision;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
}

/**
 * Custom hello elementor theme grid layout
 */
@media (max-width: 1140px) {

	.site-header,
	.site-main {
		max-width: unset;
	}
}

.site-header,
.site-main {
	max-width: 1140px !important;
	padding-left: 0 !important;
	padding-right: 0 !important;
	margin-left: auto;
	margin-right: auto;
}

.home .site-main {
	padding: 0;
	max-width: unset !important;
}

/**
 * Reset elementor frontend
 */
.elementor-widget:not(:last-child) {
	margin-bottom: inherit !important;
}

/**
 * Header 
 * Login buttons
 */
/* .btn-login {
	background: linear-gradient(0deg, #296e8e 11.01%, #3f8ea8 87.83%) !important;
} */


.elementor-menu-cart__toggle .elementor-button svg {
	fill: none !important
}


body:not(.rtl) .elementor-52611 .elementor-element.elementor-element-1330981 .elementor-menu-cart__toggle .elementor-button-icon .elementor-button-icon-qty[data-counter] {
	right: 12px !important;
	top: 12px !important;
}

.btn-register {
	background-color: transparent !important;
	border: 1px solid #fff;
}

.btn-login .pp-buttons-icon-wrapper svg {
	top: 2px;
	position: relative;
}

.btn-register .pp-buttons-icon-wrapper svg {
	top: 4px;
	position: relative;
	width: 13px;
	height: 17px;
}

/**
 * Header 
 * Responsive (Mobile)
 */
@media (max-width: 767px) {

	#topo-search-bar,
	#topo-login-holder,
	#topo-text-hold2 {
		display: none;
	}
}

/**
 * WooCommerce 
 * Alert messages Style
 */
.woocommerce-error,
.woocommerce-info,
.woocommerce-message {
	margin-top: 30px;
	background: #fcf8f2;
	font-family: 'Roboto', Roboto;
}

.woocommerce-message {
	border-top-color: #50ac44;
}

.woocommerce-message::before {
	color: #50ac44;
}

.woocommerce .woocommerce-message>.button {
	color: #fff;
	background-color: #50ac44;
}

.woocommerce .woocommerce-message>.button:hover,
.woocommerce .woocommerce-message>.button:active {
	color: #fff;
	background-color: #408936;
}

.woocommerce-info {
	border-top-color: #13526f;
}

.woocommerce-info::before {
	color: #13526f;
}

.woocommerce .woocommerce-info>.button {
	color: #fff;
	background-color: #13526f;
}

.woocommerce .woocommerce-info>.button:hover,
.woocommerce .woocommerce-info>.button:active {
	color: #fff;
	background-color: #09304f;
}

.woocommerce-error {
	border-top-color: #e6433c;
}

.woocommerce-error::before {
	color: #e6433c;
}

.woocommerce .woocommerce-error>.button {
	color: #fff;
	background-color: #e6433c;
}

.woocommerce .woocommerce-error>.button:hover,
.woocommerce .woocommerce-error>.button:active {
	color: #fff;
	background-color: #e5433c;
}

/**
 * WooCommerce 
 * Checkout
 */
.woocommerce form .form-row-first,
.woocommerce form .form-row-last,
.woocommerce-page form .form-row-first,
.woocommerce-page form .form-row-last {
	width: 49.5%;
}

.woocommerce-checkout .woocommerce-billing-fields__field-wrapper #billing_address_1_field,
.woocommerce-checkout .woocommerce-billing-fields__field-wrapper #billing_address_2_field {
	clear: none;
	width: 49.5%;
}

.woocommerce-checkout .woocommerce-billing-fields__field-wrapper #billing_address_1_field {
	float: left;
}

.woocommerce-checkout .woocommerce-billing-fields__field-wrapper #billing_address_2_field {
	float: right;
	padding-top: 34px;
}

.woocommerce-checkout .woocommerce-billing-fields__field-wrapper .select2-selection--single {
	height: 35px;
	border-radius: 3px;
	background: #f7f8f9;
	border: 1px solid #d9dbe2;
}

.woocommerce-checkout .woocommerce-billing-fields__field-wrapper .select2-selection__rendered {
	line-height: 35px;
}

.woocommerce-checkout .woocommerce-billing-fields__field-wrapper .select2-selection--single .select2-selection__arrow {
	height: 35px;
}

.select2-container.select2-container--default .select2-dropdown,
.select2-container.select2-container--default .select2-search--dropdown .select2-search__field {
	background: #f7f8f9;
	border-color: #d9dbe2;
	outline: 0 !important;
}

/* Paragamento - Paypal */
.woocommerce-checkout #payment .payment_box.payment_method_ppec_paypal {
	border: 1px solid #d3ced2;
	background-color: #fcf8f2;
	border-radius: 3px;
}

.woocommerce-checkout #payment div.payment_box::before {
	z-index: 1;
	left: 0.4px;
	margin: -1.2em 0 0 2em;
	border-bottom-color: #fcf8f2;
}

.woocommerce-checkout #payment div.payment_box::after {
	content: '';
	display: block;
	position: absolute;
	top: -30px;
	left: 30px;
	border: 1em solid #d3ced2;
	border-top-color: transparent;
	border-left-color: transparent;
	border-right-color: transparent;
}

.woocommerce form.checkout_coupon,
.woocommerce form.login,
.woocommerce form.register {
	border-radius: 3px;
	border: 1px solid rgba(0, 0, 0, 0.1);
}

.woocommerce form.checkout_coupon,
.woocommerce form.login,
.woocommerce form.register {
	border-radius: 3px;
	border: 1px solid rgba(0, 0, 0, 0.1);
}

.woocommerce form.checkout_coupon {
	padding: 0px 15px 15px;
}

@media (min-width: 1024px) {
	.woocommerce .woocommerce-form-coupon .form-row-first {
		width: calc(50% - 170px);
		margin: 0;
		padding: 0;
	}

	.woocommerce .woocommerce-form-coupon .form-row-last {
		width: calc(50% + 155px);
		margin: 0;
		padding: 0;
	}
}

@media (max-width: 1024px) {
	.woocommerce .woocommerce-form-coupon .form-row-first {
		width: calc(100% - 150px);
	}

	.woocommerce .woocommerce-form-coupon .form-row-last {
		width: 145px;
	}
}

.checkout th.product-total {
	width: 160px;
}

/* .woocommerce table.shop_table th {
	background: #ebe9eb;
} */

.woocommerce-checkout #payment div.payment_box p {
	margin: 0;
}

.woocommerce-checkout #payment div.payment_box {
	background: #dfdcde !important;
}

.woocommerce-checkout #payment div.payment_box::before {
	border-bottom-color: #dfdcde;
}

/**
 * WooCommerce 
 * Tags for product loop
 */
.pt_holder {
	top: 10px;
	left: -5px;
	z-index: 2;
	position: absolute;
}

.pt_holder>ul {
	margin: 0;
	padding: 0;
}

.pt_holder>ul>li {
	height: 27px;
	display: flex;
	margin-bottom: 9px;
	position: relative;
	align-items: center;
	padding: 3px 7px 0 10px;
}

.pt_holder>ul>li>span {
	font-size: 11px;
	font-weight: 600;
	text-transform: uppercase;
}

.pt_holder>ul>li:before,
.pt_holder>ul>li:after {
	width: 0;
	height: 0;
	content: '';
	position: absolute;
	border-style: solid;
	left: calc(100% - 1px);
}

.pt_holder>ul>li:before {
	top: 0;
	border-width: 13px 10px 0 0;
	border-color: currentColor transparent transparent transparent;
}

.pt_holder>ul>li:after {
	bottom: 0;
	border-width: 13px 0 0 10px;
	border-color: transparent transparent transparent currentColor;
}

/**
 * Woocommerce
 * Calculadora de frete no produto
 */

#cfpp {
	order: 3;
	width: 100%;
	margin-bottom: 0 !important;
}

#cfpp .calculo-de-frete {
	display: flex;
	flex-wrap: wrap;
	position: relative;
	background-color: #f7f8f9;
	padding: 24px 11px 11px 11px;
}

#cfpp #calcular-frete {
	margin: 0 !important;
	padding: 0 !important;
	background-color: #4b5252 !important;
	font-size: 0;
	width: 100px;
	justify-content: center;
	height: 35px !important;
	line-height: normal !important;
	display: flex !important;
	align-items: center;
	border-radius: 0 4px 4px 0;
}

#cfpp #calcular-frete-loader {
	top: 57px;
	width: 22px;
	right: 116px;
	height: 22px;
	position: absolute;
	border: 4px solid rgba(75, 82, 82, 0.6);
	border-top: 4px solid #4b5252 !important;
}

#cfpp #calcular-frete>svg {
	display: none;
}

#cfpp #calcular-frete:before {
	content: 'Calcular';
	font-size: 16px;
	font-weight: 500;
}

#cfpp .calculo-de-frete input {
	flex: 1;
	border-radius: 4px 0 0 4px;
	background: #ffffff;
	border-style: solid;
	border-color: #d9dbe2;
	border-width: 1px 0 1px 1px;
	height: 35px !important;
}

#cfpp .calcular-frete-label {
	width: 100%;
	font-size: 14px;
	font-weight: 600;
	margin-bottom: 5px;
}

#cfpp .calcular-frete-label:before {
	content: '';
	top: 2px;
	width: 30px;
	height: 18px;
	margin-right: 5px;
	position: relative;
	display: inline-block;
	background-size: 100%;
	background-image: url('./assets/img/truck.png');
}

#cfpp .calcular-frete-busca-cep {
	color: #13526f;
	font-size: 10px;
	margin-top: 4px;
	text-decoration: underline;
	width: 100%;
}

#cfpp #calcular-frete-input {
	width: 110px;
	color: #2c2626;
	font-size: 14px;
	text-align: left;
	padding-right: 31px;
}

#cfpp #calcular-frete-input::-webkit-input-placeholder {
	opacity: 0.5;
}

#cfpp #calcular-frete-input:-ms-input-placeholder {
	opacity: 0.5;
}

#cfpp #calcular-frete-input::placeholder {
	opacity: 0.5;
}

#cfpp .resultado-frete {
	background-color: #f7f8f9;
}

#cfpp .resultado-frete table {
	border-collapse: collapse;
}

#cfpp .resultado-frete {
	border: 1px solid #ccc;
}

#cfpp .resultado-frete thead td {
	font-size: 14px;
	font-weight: 500;
}

#cfpp .resultado-frete tbody td {
	font-size: 14px;
}

/**
 * Woocommerce
 * Checkout column width fix
 */
.woocommerce-columns.woocommerce-columns--2.woocommerce-columns--addresses.col2-set.addresses {
	width: 100% !important;
}

@media (min-width: 1025px) {
	.woocommerce .products.jet-woo-builder-products--columns.jet-woo-builder-columns-4 .product {
		max-width: 24.9% !important;
	}
}

@media (min-width: 767px) {
	.woocommerce .products.jet-woo-builder-products--columns.jet-woo-builder-columns-tab-3 .product {
		max-width: 33.2% !important;
	}

	.search-page .products.jet-woo-builder-products--columns.jet-woo-builder-columns-tab-3 .product {
		max-width: 100% !important;
	}
}

@media (max-width: 766px) {
	.woocommerce .products.jet-woo-builder-products--columns.jet-woo-builder-columns-mob-2 .product {
		max-width: 49.5% !important;
	}

	.search-page .products.jet-woo-builder-products--columns.jet-woo-builder-columns-mob-2 .product {
		min-width: 100% !important;
	}
}

/* 
 * Carrinho
*/

.coupon {
	display: flex;
}

.coupon .button {
	white-space: nowrap;
}

.coupon #coupon_code {
	flex: 1;
	width: 100% !important;
}

.woocommerce-shipping-calculator .input-text {
	height: 35px;
	border-radius: 3px;
	padding: 9px 10px 10px;
	background-color: #f7f8f9;
	border: 1px solid #d9dbe2;
}

.woocommerce-shipping-calculator span.select2-selection.select2-selection--single {
	height: 35px;
	border-radius: 3px;
	background-color: #f7f8f9;
	border: 1px solid #d9dbe2;
}

.woocommerce-shipping-calculator span.select2-selection.select2-selection--single .select2-selection__rendered {
	height: 100%;
	line-height: 35px;
}

.woocommerce-shipping-calculator button[name='calc_shipping'] {
	color: #fff;
	padding-bottom: 8px;
	background-color: #13526f;
	width: 100%;
}

a.button.wc-backward {
	font-weight: 500;
	line-height: 19px;
	color: #ffffff;
	background-color: #13526f;
	padding: 8px 20px 8px 20px;
}

p.woocommerce-shipping-destination {
	text-align: left;
}

a.shipping-calculator-button {
	text-align: left;
	width: 100%;
}

.select2 {
	text-align: left;
}

/*
 * Login / Cadastro
 */
.woocommerce-form.woocommerce-form-register .woocommerce-Input,
.woocommerce-form.woocommerce-form-login .woocommerce-Input {
	height: 35px;
	border-radius: 3px;
	padding: 9px 10px 10px;
	background-color: #f7f8f9;
	border: 1px solid #d9dbe2;
}

/* .woocommerce-form.woocommerce-form-register .woocommerce-button,
.woocommerce-form.woocommerce-form-login .woocommerce-button {
	background-color: #13526f !important;
	color: #fff !important;
	padding-top: 9px !important;
	font-weight: 400 !important;
} */

/*
 * Minha conta
 */
.woocommerce-MyAccount-navigation ul {
	margin: 0;
	padding: 0;
	list-style: none;
}

.woocommerce-MyAccount-navigation ul li {
	background-color: rgba(0, 0, 0, 0.05);
	border-bottom: 1px solid rgba(0, 0, 0, 0.05);
}

.woocommerce-MyAccount-navigation ul li.is-active {
	background-color: rgba(0, 0, 0, 0.15);
}

.woocommerce-MyAccount-navigation ul li a {
	padding: 10px 20px 8px 20px;
	display: block;
}

.woocommerce-MyAccount-navigation ul li.woocommerce-MyAccount-navigation-link--downloads {
	display: none;
}

.woocommerce-account .page-content .woocommerce {
	display: flex;
	padding: 20px 0;
}

.woocommerce-account .woocommerce-MyAccount-navigation {
	width: auto;
	margin-right: 30px;
	min-width: 200px;
}

.woocommerce-MyAccount-content p {
	margin-top: 0;
}

.woocommerce-MyAccount-content button.woocommerce-Button.button,
.woocommerce-MyAccount-content .woocommerce-button {
	background-color: #13526f !important;
	color: #fff !important;
	padding-top: 9px !important;
	font-weight: 400 !important;
}

.woocommerce-MyAccount-content fieldset {
	margin-bottom: 20px;
}

.woocommerce-MyAccount-content .woocommerce-Address h3 {
	margin: 0 0 7px 0;
}

.woocommerce-MyAccount-content .address {
	line-height: 20px;
}

.woocommerce-MyAccount-content .woocommerce-Input.woocommerce-Input--email,
.woocommerce-MyAccount-content .woocommerce-Input.woocommerce-Input--password,
.woocommerce-MyAccount-content .woocommerce-Input.woocommerce-Input--text {
	height: 35px;
	border-radius: 3px;
	padding: 9px 10px 10px;
	background-color: #f7f8f9;
	border: 1px solid #d9dbe2;
}

.woocommerce-MyAccount-content em {
	font-size: 13px;
}

@media only screen and (max-width: 768px) {
	.woocommerce-account .page-content .woocommerce {
		flex-direction: column;
	}

	.woocommerce-account .woocommerce-MyAccount-navigation {
		margin: 0 0 20px 0;
	}
}

/* Busca Mobile */
.elementor-search-form--full-screen>* {
	margin-top: -250px !important;
}

/* /Busca Mobile */

/* Whishlist */
#wl-wrapper {
	display: flex;
	flex-direction: column;
	flex-wrap: wrap;
}

#wl-wrapper>.wl-intro {
	order: 2;
}

#wl-wrapper>.wl-intro .entry-title {
	display: none;
}

#wl-wrapper>.wl-intro p {
	text-align: right;
	margin: 20px 0 0 0;
}

#wl-wrapper .button.alt {
	background-color: #13526f !important;
}

#wl-wrapper .wl-sel,
#wl-wrapper .wl-priv-sel {
	height: 35px;
	border-radius: 3px;
	padding: 0 8px;
	background-color: #f7f8f9;
	border: 1px solid #d9dbe2;
}

#wl-wrapper hr {
	margin: 1.3rem 0;
}

#wl-wrapper .wl-tabs {
	padding: 0;
	margin: 0 !important;
	border: none !important;
	position: relative;
	z-index: 1;
}

#wl-wrapper .wl-tabs a {
	border-bottom-color: #fff;
}

#wl-wrapper .wl-panel {
	margin: 0px 0 0 0;
	padding: 0px;
	float: left;
	width: 100%;
	border: 1px solid rgb(221, 221, 221);
	padding: 20px;
	border-radius: 0px 3px 3px 3px;
	z-index: 0;
	position: relative;
}

#wl-wrapper .wl-panel .wl-form,
#wl-wrapper .wl-panel .wl-row {
	margin: 0;
}

#wl-wrapper .wl-panel .wl-row .wl-actions-table {
	float: none;
	margin: 0;
}

#wl-wrapper .cart.wl-table {
	margin: 10px 0 !important;
}

#wl-wrapper .cart.wl-table td {
	vertical-align: middle !important;
}

#wl-wrapper .cart.wl-table .product-thumbnail img {
	width: 90px !important;
	max-height: 90px !important;
	object-fit: contain;
}

#wl-wrapper .form-row textarea {
	height: 55px;
}

#wl-wrapper.wl-button-wrap {
	margin: 0px 0;
	align-items: flex-end;
}

#wl-wrapper.wl-button-wrap .wl-already-in {
	width: 100%;
}

#wl-wrapper.wl-button-wrap .wl-already-in ul {
	margin: 10px 0;
	padding: 0;
	list-style: none;
}

#wl-wrapper.wl-button-wrap .wl-already-in ul li {
	margin-bottom: 5px;
}

#wl-wrapper.wl-button-wrap .button {
	width: 145px;
	text-align: center;
	font-size: 14px;
}

#wl-wrapper.wl-button-wrap.wl-button-already-in .wl-add-to {
	display: none;
}

/**
-- LOOP PRODUTOS
*/
.elementor-post {}

.elementor-post .elementor-heading-title {
	overflow: hidden;
	text-overflow: ellipsis;
	display: -webkit-box;
	-webkit-line-clamp: 2;
	-webkit-box-orient: vertical;
}

.elementor-165 .elementor-element.elementor-element-4a820c2 .elementor-jet-single-add-to-cart .variations .label label {
	line-height: 2 !important;
}

.elementor-9 .elementor-element.elementor-element-519ec94 .pp-woo-checkout .woocommerce-checkout #payment .payment_box {
	color: inherit !important;
}

.woocommerce-checkout #payment {
	border: 1px solid red;
}

.woocommerce-checkout #payment .input-text,
.woocommerce-checkout #payment select {
	font-size: 0.8rem !important;
}


/* Ajustes */

body .box-login {
	display: block;
}

body.logged-in .box-login {
	display: none;
}

body .box-minha-conta {
	display: none;
}

body.logged-in .box-minha-conta {
	display: block;
}



/*  */

.woocommerce .elementor-53340 .elementor-element.elementor-element-da85018 form.cart .variations tr {
	display: flex;
	flex-wrap: wrap;
	justify-content: start;
	align-items: end;
	text-align: justify;
}

.woocommerce .elementor-53340 .elementor-element.elementor-element-da85018 form.cart .variations tr select {
	padding: 0.7em;
}

.woocommerce .elementor-53340 .elementor-element.elementor-element-da85018 form.cart .variations th,
.woocommerce .elementor-53340 .elementor-element.elementor-element-da85018 form.cart .variations td {
	width: 100%;
	padding: 0 !important;
}



/* remover os box de promoção */

.woocommerce span.onsale {
	display: none;
}

/* Ajustes na cor da front na quantidade de estoque */
.woocommerce:where(body:not(.woocommerce-uses-block-theme)) div.product .stock {
	color: #000
}

/* Ajuste espacamento botoa de compra */
.single-product button.single_add_to_cart_button {
	margin: 0 !important;
}

.single-product input.input-text {
	margin-right: 20px !important;
}


/* Ajuste da coluna deo carrinho */

.e-cart__column.e-cart__column-end {
	width: 400px;
	justify-self: end;
}

/* Ajuste da minha conta */

.e-my-account-tab>.woocommerce .woocommerce-MyAccount-navigation {
	margin-right: 0;
}


.woocommerce #shipping-calc #wscp-button.loading {
	background-image: url("./assets/img/shipping-load.gif") !important;
	background-position: center !important;
	background-size: contain !important;
	background-repeat: no-repeat;
	background-color: #fff !important;
}

/* Ajustar area do envio */

#shipping-calc {
	font-family: "Elms" !important;
}


.woocommerce #shipping-calc #wscp-button {
	background-color: #615544 !important;
	font-family: "Elms";
}

.woocommerce #shipping-calc #wscp-button:hover,
.woocommerce #shipping-calc #wscp-button:hover:focus {
	background-color: #332919 !important;
}

@media only screen and (max-width: 488.98px) {
	.woocommerce #shipping-calc .input-text,
	.woocommerce #shipping-calc .button {
		width: 48% !important;
		margin: 0 !important;
	}

	/* .woocommerce #shipping-calc a {
		margin-left: 0 !important
	} */
}




/**
 * SLIDER DESTAQUE DA HOME\
 *
 */

#slider-2 .elementor-column {
	margin-right: 0.5rem;
	margin-left: 0.5rem;
}

#slider-2 .slick-dots {
	bottom: -30px;
}

#slider-2 .slick-dots li {
	border-radius: 50%;
}

#slider-2 .slick-dots li button {
	border-radius: 50%;
	background: #C7AF8B;
}


#slider-2 .slick-dots li.slick-active button {
	background: #615544;
}

/**
 * Footer
 *
 */
 
 footer {
	 font-family: "Elms" !important;
	}
	
	/**
	 * Footer
	 *
	 */

	nav .elementor-nav-menu--dropdown.elementor-nav-menu__container,
 .ecs-nav-layout-dropdown.ecs-toggle-align-left:not(.elementor-nav-menu--stretch) .elementor-nav-menu--dropdown.elementor-nav-menu__container {
		width: 100vw !important;
		left: -10px !important;
	}


html, body {
	overflow-x: hidden !important;
}

.cky-consent-container {
	font-family: "Elms" !important;
}

.cky-consent-container a {
	color: #615544 !important;
}

.cky-consent-container button {
	background-color: #615544 !important;
	border: none;
	box-shadow: none;
	outline: 0;
}

.cky-consent-container button:hover,
.cky-consent-container button:focus {
	background-color: #332919 !important;
	opacity: 1;
}